
.divGame 
{
    position:relative;
    margin:auto;
    width: 792px;
}

.myCanvas 
{
    outline: none !important;
    cursor:pointer;
    box-shadow: 0px 0px 8px rgba(0,0,0,0.8);
    border-top-color: #333;
    border-left-color: #222;
    border-right-color: #555;
    border-bottom-color: #444;
    transition: .6s;
}

.myCanvas2 {
    position: absolute;
    top:0px;
    left:0px;
    transition: 1.2s;
}


app-action-bar {
    /* position: absolute;
    top:554px;
    left:4px; */
}


app-map-editor-side-bar {
    position: absolute;
    top:0px;
    left:-280px;
    animation: slideDown .3s;
}

app-status-bar {
    position: absolute;
    top:-23px;
    right: -25px;
}

app-equipment {
    position: absolute;
    top: 80px;
    right: -235px;
}

app-game-timer {
    position:absolute;
    top:72px;
    right: -140px;
}

app-skills-bar {
    position: absolute;
    top:330px;
    right: -235px;
}

app-battle-bar {
    position: absolute;
    top:269px;
    left:812px;
}

app-inventory {
    position: absolute;
    top: 505px;
    right: -235px;
}

app-npc-dialog {
    position: absolute;
    top: 50%;
    left: 50%;
}

app-respawn-dialog {
    position: absolute;
    top: 50%;
    left: 50%;
}

app-loot-dialog {
    position: absolute;
    top: 50%;
    left: 50%;
}

.message-holder {
    opacity: 0.8;
    margin-top:4px;
  }
  
  .message-holder input {
    box-shadow: 0px 0px 6px rgba(0,0,0,1);
    width:745px;
    background-color: #343441;
    border: 1px solid #3d3d3d;
    color: #e2e2e2;
    padding: 8px 10px;
    letter-spacing: 2px;
    font-family: arial;
    outline: none;
  }
  .message-holder button {
    box-shadow: 0px 0px 6px rgba(0,0,0,1);
    background-color: #343441;
    border: 1px solid #3d3d3d;
    padding: 2px 6px;
    width: 42px;
    height: 34px;
    color: #fff;
    cursor: pointer;
    outline: none;
  }

::selection {
    background: transparent; /* WebKit/Blink Browsers */
}
input::selection {
    background: #fff; /* WebKit/Blink Browsers */
}


.name::selection {
    background: #AAA; /* WebKit/Blink Browsers */
}

.name-container {
    width: 500px;
    position: relative;
    top: 30px;
    text-align: center;
    color: white;
    font-family: Arial;
    -webkit-animation: nameContainerShow 1s;
    animation: nameContainerShow 1s;
    margin: auto;
    background: #00000080;
    padding: 40px 12px;
    border-radius: 8px;
    border: 6px solid #1c1c1c;
    box-shadow: 4px 4px 8px rgba(0,0,0,0.5);
    background: linear-gradient(-11deg, #000000e6 0%,  #0d100080 30%, #1a0006bd 70%, #5a440221 100%)
     /* linear-gradient(-11deg, #000000fa 0%,  #3b4800b8 30%, #ac304dcf 70%, #bb8c0820 100%) */
     /* linear-gradient(-11deg, #00000080 0%,  #000000D0 30%, #000000D0 70%, #00000020 100%) */
}

/* 0% { transform: translateY(300px) scale(0.1); opacity:0.1}
100% { transform: translateY(0px) scale(1.0); opacity:1 }  */
@keyframes nameContainerShow {    
    0% { opacity:0.1}
    100% { opacity:1 } 
}

.fps-monitor {
    position: absolute;
    top: 12px;
    right: 12px;
    color:yellow;
    font-family: Arial;
    text-shadow:
     -1px -1px 0 #333,  
      1px -1px 0 #333,
      -1px 1px 0 #333,
       1px 1px 0 #333;
    opacity: 0.95;
    text-align: right;
}

.name {
    text-align: center;
    padding: 8px;
    font-size: 28px;
    width: 160px;
    background-color: transparent;
    border: none;
    border-bottom: 2px solid rgba(211, 211, 211, 0.85);
    color: white;
    font-family: 'Macondo Swash Caps', cursive;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 1);
    transition: .3s;
}

.name:hover {
    border-bottom: 2px solid white;
}



  .btn-login {
    margin-top:16px;
    padding: 16px;
    cursor: pointer;
    border: none;
    border-radius: 2px;
    color: white;
    box-shadow: 0px 2px 5px rgba(0,0,0,1), 0px 0px 3px rgba(0,0,0,1);
    transition: .3s;
    opacity: 0.75;
    font-size: 18px;
    font-family: 'Macondo Swash Caps', cursive;
    text-shadow: 0px 2px 3px black;
    background-color: #6e728e;
    background: radial-gradient(circle, #66635e 0%, #46433e 100%);
  }

  
  .btn-login:hover {
    opacity: 0.85;
    background-color: #7F839F;
    text-shadow: 1px 0px 3px rgb(8, 3, 0), 0px 0px 2px rgb(8, 3, 0), 0px 2px 2px rgb(8, 3, 0);
    background:radial-gradient(circle, #b3814e 0%, #4a3312 100%);
    box-shadow: 3px 6px 8px rgba(0,0,0,0.4), 0px 0px 3px rgba(0,0,0,0.5);
    transform: translateY(-1px)
  }


.moving-item__img {
    z-index:2000;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 24px;
    height: 24px;
    border:none;
    transform: scale(3.2,3.2);
    image-rendering:pixelated;
    filter : drop-shadow(6px 9px 3px black);
    pointer-events: none;
}

.img-logo-ingame {
    filter: drop-shadow(5px -6px 6px #000);
    opacity: 0.75;
    width: 10%;
    position: fixed;
    top: 16px;
    left: 16px;
}

.volume-container {
    position:absolute;
    top:4px;
    left:8px;
    opacity: 0.25;
    color: #bcbbbb;
    font-family: sans-serif;
    font-size: 26px;
    font-weight: bold;
    vertical-align: middle;
    transition: .3s;
}


.volume-container:hover {
    opacity: 0.8;

}